CREATE TABLE grc_parent_child_xref (
    PARENT_TEMPLATE_MODULE_ID    NUMBER(18, 0),
    PARENT_ID                    NUMBER(18, 0),
    PARENT_EFFECTIVE_SEQUENCE    NUMBER(4, 0) ,
    PARENT_TYPE_CODE             VARCHAR2(120),
    CHILD_ID                     NUMBER(18, 0),
    CHILD_EFFECTIVE_SEQUENCE     NUMBER(4, 0) ,
    CHILD_TYPE_CODE              VARCHAR2(120),
    IS_CURRENT                   NUMBER(1, 0) ,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    PARENT_TEMPLATE_MODULE_ID    NUMBER(18, 0),
    PARENT_ID                    NUMBER(18, 0),
    PARENT_EFFECTIVE_SEQUENCE    NUMBER(4, 0) ,
    PARENT_TYPE_CODE             VARCHAR2(120),
    CHILD_ID                     NUMBER(18, 0),
    CHILD_EFFECTIVE_SEQUENCE     NUMBER(4, 0) ,
    CHILD_TYPE_CODE              VARCHAR2(120),
    IS_CURRENT                   NUMBER(1, 0) ,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    CONSTRAINT pk_grc_parent_child_xref PRIMARY KEY (PARENT_ID, PARENT_EFFECTIVE_SEQUENCE, PARENT_TYPE_CODE, CHILD_ID, CHILD_EFFECTIVE_SEQUENCE, CHILD_TYPE_CODE, IS_CURRENT, PARENT_ID, PARENT_EFFECTIVE_SEQUENCE, PARENT_TYPE_CODE, CHILD_ID, CHILD_EFFECTIVE_SEQUENCE, CHILD_TYPE_CODE, IS_CURRENT)
);
